## ros-rolling-nmea-navsat-driver 2.0.1

=== debian/changelog ===
ros-rolling-nmea-navsat-driver (2.0.1-1jammy) jammy; urgency=high

  * Fix parsing of true_course field in VTG message (#165 <https://github.com/evenator/nmea_navsat_driver/issues/165>)
    Co-authored-by: Stefan Gisler <mailto:stefan.gisler@hillbot.ch>
  * Fix missing return in driver.add_sentence to avoid returning None.
  * Update logger definition to match ROS2 logging API.
  * Add Support for TCP GNSS Sensor (#152 <https://github.com/evenator/nmea_navsat_driver/issues/152>)
    Add a new nmea_tcpclient_driver for sensors that offer a TCP interface rather than a UDP interface.
    The nmea_tcpclient_driver connects to a TCP socket and forwards the NMEA-Sentences line-by-line to the driver.
  * Modify setup.cfg to remove warning when doing colcon build (#157 <https://github.com/evenator/nmea_navsat_driver/issues/157>)
  * Contributors: Dunkelmann, Luca Bascetta, gislers, joeldushouyu

 -- Ed Venator <evenator@gmail.com>  Thu, 31 Aug 2023 04:00:00 -0000

ros-rolling-nmea-navsat-driver (2.0.0-1jammy) jammy; urgency=high

  * Replace dependency on transforms3d pip package to tf_transformations. (#147 <https://github.com/evenator/nmea_navsat_driver/issues/147>)
  * Added log for successful connection. (#149 <https://github.com/evenator/nmea_navsat_driver/issues/149>)
  * Removed printing every time the checksum is checked. (#148 <https://github.com/evenator/nmea_navsat_driver/issues/148>)
  * nmea_socket_driver fixes for ROS2 (#127 <https://github.com/evenator/nmea_navsat_driver/issues/127>)
    * Fix white space for PEP8 compliance
    * Fix socket driver for ROS2 Foxy
    * Add config file for socket driver
    * Decode bytes as ASCII
  * Fix bug where ROS node is not assigned correctly (#114 <https://github.com/evenator/nmea_navsat_driver/issues/114>)
    Fixes #71 <https://github.com/evenator/nmea_navsat_driver/issues/71>
  * Update launch file for ROS2 Foxy (#110 <https://github.com/evenator/nmea_navsat_driver/issues/110>)
    * Remove get_default_launch_description, which no longer exists.
    * Update the parameters of the Node initializer to the Foxy API.
  * Update pyserial dependency to make it findable with rosdep (#109 <https://github.com/evenator/nmea_navsat_driver/issues/109>)
    This allows rosdep to find the correct serial package and install it.
  * ROS2: Eloquent changes for python packages (#101 <https://github.com/evenator/nmea_navsat_driver/issues/101>)
    Fix some warnings when installing packages that first appear in ROS2 Eloquent:
    - A missing the resource folder
    - Not explicitly installing package.xml in the share folder.
  * ROS2 updates for Dashing (#80 <https://github.com/evenator/nmea_navsat_driver/issues/80>)
    Change subscriptions and parameters to conform to API changes in ROS 2 Dashing.
  * Remove scripts directory in favor of nodes subpackage (#77 <https://github.com/evenator/nmea_navsat_driver/issues/77>)
    Since these modules will no longer be called as scripts in ROS 2,
    move them to a nodes subpackage, and remove the option to call them
    as executables.
    Addresses #75 <https://github.com/evenator/nmea_navsat_driver/issues/75> for ROS 2.
  * Fix nmea_topic_serial_reader name (#74 <https://github.com/evenator/nmea_navsat_driver/issues/74>)
    - Fix #72 <https://github.com/evenator/nmea_navsat_driver/issues/72> (no module name scripts.nmea_topic_serial_driver)
    - Fix exception handling in nmea_topic_serial_reader ('rclpy' has no attribute 'ROSInterruptException')
  * Clean up launch file and make it runnable with ROS2 launch (#73 <https://github.com/evenator/nmea_navsat_driver/issues/73>)
    Fixes #70 <https://github.com/evenator/nmea_navsat_driver/issues/70>
    - Rename config file and put it into a config directory.
    - Make setup.py install the launch and config files.
    - Rename the launch file with the .launch.py suffix used by OSRF
    packages.
    - Refactor the launch file so that it works with ros2 launch.
  * Fix PEP8 Violations and update setup.cfg file for pycodestyle. (#69 <https://github.com/evenator/nmea_navsat_driver/issues/69>)
  * Port to ROS 2 (#64 <https://github.com/evenator/nmea_navsat_driver/issues/64>)
    Initial work to port nmea_navsat_driver to ROS2 by @klintan.
  * Add nmea_serial_driver launch file (#60 <https://github.com/evenator/nmea_navsat_driver/issues/60>)
    Add example nmea_serial_driver launch file.
  * Remove automatic prefixing of forward slash to frame_id. (#33 <https://github.com/evenator/nmea_navsat_driver/issues/33>/#57 <https://github.com/evenator/nmea_navsat_driver/issues/57>)
    To be consistent with the current default behavior, the default frame_id has been set to /gps with the prepended forward slash.
  * Add support for IMU aided GPS systems (#30 <https://github.com/evenator/nmea_navsat_driver/issues/30>/#58 <https://github.com/evenator/nmea_navsat_driver/issues/58>)
    * Add support for IMU aided GPS systems like the Applanix POS/MV, whose NMEA strings typically begin '$IN'. (e.g. $INGGA).
    * Add support for VTG messages, which contain Course Over Ground and Speed Made Good. These are useful when not using RMC messages and you don't have a heading sensor.
  * Add support for publishing heading from GPHDT as a QuaternionStamped message on the topic /heading (#25 <https://github.com/evenator/nmea_navsat_driver/issues/25>)
  * Improve Covariance Estimation (#46 <https://github.com/evenator/nmea_navsat_driver/issues/46>)
    Use GST covariance where available, otherwise uses default covariances estimated from fix type.
    The previous implementation set covariance to HDOP^2. Instead, it should multiply that by the measurement variance. HDOP should be greater than 1.0.
  * Add Socket Driver (#32 <https://github.com/evenator/nmea_navsat_driver/issues/32>)
    Add a NMEA socket driver node, which is like the existing serial driver node, but instead of attaching to a TTY handle from a serial port, it listens to a UDP port for NMEA sentences.

