=== debian/control ===
Source: ros-rolling-nmea-navsat-driver
Section: misc
Priority: optional
Maintainer: Ed Venator <evenator@gmail.com>
Build-Depends: debhelper (>= 9.0.0), python3-pytest <!nocheck>, ros-rolling-ros-workspace, python3-all, python3-setuptools, dh-python
Homepage: http://ros.org/wiki/nmea_navsat_driver
Standards-Version: 3.9.2

Package: ros-rolling-nmea-navsat-driver
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, python3-numpy, python3-serial, ros-rolling-geometry-msgs, ros-rolling-nmea-msgs, ros-rolling-rclpy, ros-rolling-sensor-msgs, ros-rolling-tf-transformations, ros-rolling-ros-workspace
Description: Package to parse NMEA strings and publish a very simple GPS message.
 Does not require or use the GPSD deamon.
